NIMSUGGEST(1)

NAME
nimsuggest - Nimsuggest

DESCRIPTION
Nimsuggest - Tool to give every editor IDE like capabilities for Nim Usage:

    nimsuggest [options] projectfile.nim

OPTIONS

--autobind
    automatically binds into a free port

--port:PORT
    port, by default 6000

--address:HOST
    binds to that address, by default ""

--stdin
    read commands from stdin and write results to stdout instead of using sockets

--clientProcessId:PID
    shutdown nimsuggest in case this process dies

--epc
    use emacs epc mode

--debug
    enable debug output

--log
    enable verbose logging to nimsuggest.log file

--v1
    use version 1 of the protocol; for backwards compatibility

--v2
    use version 2(default) of the protocol

--v3
    use version 3 of the protocol

--v4
    use version 4 of the protocol

--info:X
    information

--info:nimVer
    return the Nim compiler version that nimsuggest uses internally

--info:protocolVer
    return the newest protocol version that is supported

--info:capabilities
    return the capabilities supported by nimsuggest

--refresh
    perform automatic refreshes to keep the analysis precise

--maxresults:N
    limit the number of suggestions to N

--tester
    implies --stdin and outputs a line '!EOF!' for the tester

--find
    attempts to find the project file of the current project

--exceptionInlayHints:on|off
    globally turn exception inlay hints on|off

The server then listens to the connection and takes line-based commands.

If --autobind is used, the binded port number will be printed to stdout.

In addition, all command line options of Nim that do not affect code generation are supported.

REPORTING BUGS
https://github.com/nim-lang/Nim/issues

SEE ALSO
The nim-doc package.